# Uses of Interface
com.sun.source.util.SourcePositions

Packages that use SourcePositions
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SourcePositions in com.sun.source.util

Subinterfaces of SourcePositions in com.sun.source.util
Modifier and Type
Interface
Description
`interface`
`DocSourcePositions`
Provides methods to obtain the position of a DocTree within a javadoc comment.
Methods in com.sun.source.util that return SourcePositions
Modifier and Type
Method
Description
`abstract SourcePositions`
Trees.`getSourcePositions()`
Returns a utility object for obtaining source positions.